読者です 読者をやめる 読者になる 読者になる

Mac OS 10.5系でJava1.6を使う。

備忘録 Mac Java

はまったので備忘録。
JREの話です。

経緯

Eclipseを入れて、プラグインを使おうとしたんだけど、どうしてもプラグインが動かない。

どうしたのかなと思って調べてたら、Java1.6じゃないといけないのに、Java1.5だった...。

Macのソフトウェア・アップデートによってJavaをアップデート。

MacOS10.5にJava1.6がリリースされたので、アップデート。

Javaのバージョン確認。

terminalで下記を実行。このままだと、Java1.6がインストールされたけどJava1.5が選択されてる。>|java|
# java -version
java version "1.5.0_20"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_20-b02-315)
Java HotSpot(TM) Client VM (build 1.5.0_20-141, mixed mode, sharing)
|

Javaのバージョンを確認

下記を実行すると、Java Preferencesウィンドウが開くので、Java1.6を上位に持ってくる。

# /Applications/Utilities/Java\ Preferences.app/Contents/MacOS/Java\ Preferences 
キャプチャ

f:id:rokujyouhitoma:20090907221152p:image

再度Javaのバージョンを確認